diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
index fcf3259d..bc58a44c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
@@ -9,76 +9,75 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as fk_utils
 
 
-class ForeignKeyDeleteTestCase(BaseTestGenerator):
-    """This class will delete foreign key to existing table"""
-    scenarios = [
-        ('Delete foreign Key constraint.',
-         dict(url='/browser/foreign_key/obj/'))
-    ]
+class TestForeignKeyDelete:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_foreign_key_delete(self, context_of_tests):
+        """
+        When the foreign key DELETE request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception(
-                "Could not connect to database to delete a foreign "
-                "key constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to delete a foreign "
-                            "key constraint.")
-        self.local_table_name = "local_table_foreignkey_delete_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        self.local_table_id = tables_utils.create_table(
-            self.server, self.db_name, self.schema_name, self.local_table_name)
-        self.foreign_table_name = "foreign_table_foreignkey_delete_%s" % \
-                                  (str(uuid.uuid4())[1:8])
-        self.foreign_table_id = tables_utils.create_table(
-            self.server, self.db_name, self.schema_name,
-            self.foreign_table_name)
-        self.foreign_key_name = "test_foreignkey_delete_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        self.foreign_key_id = fk_utils.create_foreignkey(
-            self.server, self.db_name, self.schema_name, self.local_table_name,
-            self.foreign_table_name)
+            raise Exception('Could not find the schema to delete a foreign '
+                            'key constraint.')
+        local_table_name = 'local_table_foreignkey_delete_%s' % \
+                           (str(uuid.uuid4())[1:8])
+        local_table_id = tables_utils.create_table(
+            server, db_name, schema_name, local_table_name)
+        foreign_table_name = 'foreign_table_foreignkey_delete_%s' % \
+                             (str(uuid.uuid4())[1:8])
+        tables_utils.create_table(
+            server, db_name, schema_name,
+            foreign_table_name)
+        'test_foreignkey_delete_%s' % \
+            (str(uuid.uuid4())[1:8])
+        foreign_key_id = fk_utils.create_foreignkey(
+            server, db_name, schema_name, local_table_name,
+            foreign_table_name)
 
-    def runTest(self):
-        """This function will delete foreign key attached to table column."""
-        fk_response = fk_utils.verify_foreignkey(self.server, self.db_name,
-                                                 self.local_table_name)
+        fk_response = fk_utils.verify_foreignkey(server, db_name,
+                                                 local_table_name)
         if not fk_response:
-            raise Exception("Could not find the foreign key constraint to "
-                            "delete.")
-        response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.local_table_id,
-                                                self.foreign_key_id),
+            raise Exception('Could not find the foreign key constraint to '
+                            'delete.')
+        url = '/browser/foreign_key/obj/'
+        response = http_client.delete(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                local_table_id,
+                                                foreign_key_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Foreign key dropped.')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py
index d233e9e0..7bcf4d30 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py
@@ -9,71 +9,101 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as fk_utils
 
 
-class ForeignGetDeleteTestCase(BaseTestGenerator):
-    """This class will fetch foreign key from existing table"""
-    scenarios = [
-        ('Fetch foreign Key constraint.',
-         dict(url='/browser/foreign_key/obj/'))
-    ]
+class TestForeignGet:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_foreign_key_get(self, context_of_tests):
+        """
+        When the check constraint GET request is send to the backend
+        it returns 200 status
+        """
+
+        tester = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception(
-                "Could not connect to database to fetch a foreign "
-                "key constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to fetch a foreign "
-                            "key constraint.")
-        self.local_table_name = "local_table_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        self.local_table_id = tables_utils.create_table(
-            self.server, self.db_name, self.schema_name, self.local_table_name)
-        self.foreign_table_name = "foreign_table_foreignkey_get_%s" % \
-                                  (str(uuid.uuid4())[1:8])
-        self.foreign_table_id = tables_utils.create_table(
-            self.server, self.db_name, self.schema_name,
-            self.foreign_table_name)
-        self.foreign_key_name = "test_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        self.foreign_key_id = fk_utils.create_foreignkey(
-            self.server, self.db_name, self.schema_name, self.local_table_name,
-            self.foreign_table_name)
+            raise Exception('Could not find the schema to fetch a foreign '
+                            'key constraint.')
+
+        local_table_name = 'local_table_foreignkey_get_%s' % \
+                           (str(uuid.uuid4())[1:8])
+        local_table_id = tables_utils.create_table(
+            server, db_name, schema_name, local_table_name)
+        foreign_table_name = 'foreign_table_foreignkey_get_%s' % \
+                             (str(uuid.uuid4())[1:8])
+        tables_utils.create_table(
+            server, db_name, schema_name,
+            foreign_table_name)
 
-    def runTest(self):
-        """This function will delete foreign key attached to table column."""
-        response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.local_table_id,
-                                                self.foreign_key_id),
+        foreign_key_id = fk_utils.create_foreignkey(
+            server, db_name, schema_name, local_table_name,
+            foreign_table_name)
+
+        url = '/browser/foreign_key/obj/'
+        response = tester.get(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url,
+                                                utils.SERVER_GROUP,
+                                                server_id,
+                                                db_id,
+                                                schema_id,
+                                                local_table_id,
+                                                foreign_key_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('comment') > should.be.none
+        (json_response | should.have.key('fknsp') >
+         should.be.equal.to(schema_name))
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name')
+        (json_response | should.have.key('confdeltype') >
+         should.be.equal.to('a'))
+        (json_response | should.have.key('confkey') >
+         should.be.equal.to([1]))
+        json_response | should.have.key('confrelid')
+        (json_response | should.have.key('reftab') >
+         should.be.equal.to(foreign_table_name))
+        json_response | should.have.key('condeferrable') > should.be.false
+        json_response | should.have.key('condeferred') > should.be.false
+        json_response | should.have.key('confmatchtype')
+        (json_response | should.have.key('refnsp') >
+         should.be.equal.to(schema_name))
+        (json_response | should.have.key('fktab') >
+         should.be.equal.to(local_table_name))
+        json_response | should.have.key('hasindex') > should.be.true
+        (json_response | should.have.key('conkey') >
+         should.be.equal.to([1]))
+        json_response | should.have.key('convalidated') > should.be.false
+        json_response | should.have.key('autoindex') > should.be.true
+        (json_response | should.have.key('fktab') >
+         should.be.equal.to(local_table_name))
+        json_response | should.have.key('coveringindex')
+
+        json_response | should.have.key('columns')
+        (json_response['columns'][0] | should.have.key('referenced') >
+         should.be.equal.to('id'))
+        json_response['columns'][0] | should.have.key('references')
+        (json_response['columns'][0] | should.have.key('local_column') >
+         should.be.equal.to('id'))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py
index cdcaed5d..870580ed 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py
@@ -10,74 +10,76 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as fk_utils
 
 
-class ForeignPutDeleteTestCase(BaseTestGenerator):
-    """This class will update foreign key from existing table"""
-    scenarios = [
-        ('Fetch foreign Key constraint.',
-         dict(url='/browser/foreign_key/obj/'))
-    ]
+class TestForeignKeyPut:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_foreign_key_update(self, context_of_tests):
+        """
+        When the foreign keys PUT request is send to the backend
+        it returns 200 status
+        """
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception(
-                "Could not connect to database to fetch a foreign "
-                "key constraint.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to fetch a foreign "
-                            "key constraint.")
-        self.local_table_name = "local_table_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        self.local_table_id = tables_utils.create_table(
-            self.server, self.db_name, self.schema_name, self.local_table_name)
-        self.foreign_table_name = "foreign_table_foreignkey_get_%s" % \
-                                  (str(uuid.uuid4())[1:8])
-        self.foreign_table_id = tables_utils.create_table(
-            self.server, self.db_name, self.schema_name,
-            self.foreign_table_name)
-        self.foreign_key_name = "test_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:8])
-        self.foreign_key_id = fk_utils.create_foreignkey(
-            self.server, self.db_name, self.schema_name, self.local_table_name,
-            self.foreign_table_name)
+            raise Exception('Could not find the schema to fetch a foreign '
+                            'key constraint.')
+        local_table_name = 'local_table_foreignkey_get_%s' % \
+                           (str(uuid.uuid4())[1:8])
+        local_table_id = tables_utils.create_table(
+            server, db_name, schema_name, local_table_name)
+        foreign_table_name = 'foreign_table_foreignkey_get_%s' % \
+                             (str(uuid.uuid4())[1:8])
+        tables_utils.create_table(
+            server, db_name, schema_name,
+            foreign_table_name)
+        foreign_key_id = fk_utils.create_foreignkey(
+            server, db_name, schema_name, local_table_name,
+            foreign_table_name)
 
-    def runTest(self):
-        """This function will update foreign key attached to table column."""
-        data = {"oid": self.foreign_key_id,
-                "comment": "This is TEST comment for foreign key constraint."
+        data = {'oid': foreign_key_id,
+                'comment': 'This is TEST comment for foreign key constraint.'
                 }
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.local_table_id,
-                                                self.foreign_key_id),
+
+        url = '/browser/foreign_key/obj/'
+        response = http_client.put(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                local_table_id,
+                                                foreign_key_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'foreign_key',
+            'pgadmin.node.foreign_key',
+            False,
+            'icon-foreign_key',
+            local_table_name + '_id_fkey'
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/__init__.py
index 1af2ce64..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-# from pgadmin.utils.route import BaseTestGenerator
-#
-#
-# class IndexConstraintTestGenerator(BaseTestGenerator):
-#
-#     def runTest(self):
-#         return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py
index ceeb6350..1ed0e7fa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_add.py
@@ -10,77 +10,124 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class IndexConstraintAddTestCase(BaseTestGenerator):
-    """This class will add index constraint(primary key or unique key) to
-    table column"""
-    skip_on_database = ['gpdb']
-    primary_key_name = "test_primarykey_add_%s" % \
-                       (str(uuid.uuid4())[1:8])
-    primary_key_data = {"name": primary_key_name,
-                        "spcname": "pg_default",
-                        "columns": [{"column": "id"}]
-                        }
-    unique_key_name = "test_uniquekey_add_%s" % \
-                      (str(uuid.uuid4())[1:8])
-    unique_key_data = {"name": unique_key_name,
-                       "spcname": "pg_default",
-                       "columns": [{"column": "id"}]}
-    scenarios = [
-        ('Add primary Key constraint to table',
-         dict(url='/browser/primary_key/obj/', data=primary_key_data)),
-        ('Add unique Key constraint to table',
-         dict(url='/browser/unique_constraint/obj/', data=unique_key_data))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestIndexConstraintAdd:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_primary_key_add(self, context_of_tests):
+        """
+        When the Primary Key add request is send
+        to the backend
+        It returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+
+        url = '/browser/primary_key/obj/'
+        primary_key_name = 'test_primarykey_add_%s' % \
+                           (str(uuid.uuid4())[1:8])
+        primary_key_data = {'name': primary_key_name,
+                            'spcname': 'pg_default',
+                            'columns': [{'column': 'id'}]
+                            }
+        response = http_client.post(
+            self.__build_url(server_data, table_id, url),
+            data=json.dumps(primary_key_data),
+            content_type='html/json')
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'primary_key',
+            'pgadmin.node.primary_key',
+            False,
+            'icon-primary_key',
+            primary_key_name
+        )
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_uniquer_constraint_add(self, context_of_tests):
+        """
+        When the Unique Constraint add request is send to the backend
+        It returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    @classmethod
-    def setUpClass(cls):
-        cls.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        cls.server_id = schema_info["server_id"]
-        cls.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(cls, utils.SERVER_GROUP,
-                                                 cls.server_id, cls.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a "
-                            "index constraint(primary key or unique key).")
-        cls.schema_id = schema_info["schema_id"]
-        cls.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(cls.server,
-                                                      cls.db_name,
-                                                      cls.schema_name)
+        db_name = server_data['db_name']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a index "
-                            "constraint(primary key or unique key).")
-        cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:8])
-        cls.table_id = tables_utils.create_table(cls.server,
-                                                 cls.db_name,
-                                                 cls.schema_name,
-                                                 cls.table_name)
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
 
-    def runTest(self):
-        """This function will add index constraint(primary key or unique key)
-        to table column."""
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.schema_id) + '/' + str(self.table_id) + '/',
-            data=json.dumps(self.data),
+        url = '/browser/unique_constraint/obj/'
+        unique_key_name = 'test_uniquekey_add_%s' % \
+                          (str(uuid.uuid4())[1:8])
+        unique_key_data = {'name': unique_key_name,
+                           'spcname': 'pg_default',
+                           'columns': [{'column': 'id'}]}
+        response = http_client.post(
+            self.__build_url(server_data, table_id, url),
+            data=json.dumps(unique_key_data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
 
-    @classmethod
-    def tearDownClass(cls):
-        # Disconnect the database
-        database_utils.disconnect_database(cls, cls.server_id, cls.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'unique_constraint',
+            'pgadmin.node.unique_constraint',
+            False,
+            'icon-unique_constraint',
+            unique_key_name
+        )
+
+    def __build_url(self, server_data, table_id, base_url):
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        return base_url + str(utils.SERVER_GROUP) + '/' + \
+            str(server_id) + '/' + str(db_id) + \
+            '/' + str(schema_id) + '/' + str(table_id) + '/'
